local folder = "games/minobueno/pieces/electronika/"
local tex = lg.newImage(folder .. "rubout.png")
local tex_ghost = lg.newImage(folder .. "bracket.png")
return {
	board = function(board, block)
		for x = 0,style.board.w - 1 do for y = -4,style.board.h - 1 do
			local tile = board[x][y]
			if tile ~= -1 then
				lg.draw(tex, block.quad[tile], x*block.size, y*block.size)
			end
		end end
	end,
	pieces = function(vars, state)
		local held = vars.held
		local block = vars.block

		if settings.conf.ghost then
			drawpiece(held.x, held.y + vars.ghost, held.r, held.mino, block, tex_ghost)
		end
		-- draw normal piece
		drawpiece(held.x, held.y, held.r, held.mino, block, tex)
	end
}