if not settings.stylesettings.electronika then
	settings.stylesettings.electronika = {
		color = {1,1,1}
	}
end

local items = {}
items = {
	{
		text = "Screen Color",
		init = function(self)
			self.selected = getindex(self.options, settings.stylesettings.electronika.color)
			self.selected = self.selected or 1
		end,
		onchange = function(self)
			settings.stylesettings.electronika.color = self.options[self.selected]
			redraw.game = true
		end,
		selected = 1,
		options = {"White", "Green", "Amber", "Blue"},
	},
	{
		text = "Transparent Background",
		init = function(self)
			self.selected = getindex(self.options, settings.stylesettings.electronika.transparent)
			self.selected = self.selected or 2
		end,
		onchange = function(self)
			settings.stylesettings.electronika.transparent = self.options[self.selected]
			redraw.game = true
		end,
		selected = 2,
		options = {true, false},
		options_text = {"Enabled", "Disabled"},
	},
}
return items