if not settings.stylesettings.sega then settings.stylesettings.sega = {} end

local items = {}
items = {
	{
		text = "Background",
		init = function(self)
			self.selected = settings.stylesettings.sega.bg
			self.selected = self.selected or 1
		end,
		onchange = function(self)
			settings.stylesettings.sega.bg = self.selected
			redraw.game = true
		end,
		selected = 1,
		options = {1,2,3,4,5,6,7,8,9,10},
	},
	{
		text = "Transparent Board",
		init = function(self)
			self.selected = getindex(self.options, settings.stylesettings.sega.trans)
			self.selected = self.selected or 1
		end,
		onchange = function(self)
			settings.stylesettings.sega.trans = self.options[self.selected]
			redraw.game = true
		end,
		selected = 1,
		options = {true, false},
		options_text = {"Enabled", "Disabled"},
	},
}
return items
