return {
	push = function(text, timer)
		local i = #warning.text+1
		warning.text[i] = text
		warning.timer[i] = timer or 10
	end,
	update = function(dt)
		for i = 1,#warning.text do
			if warning.timer[i] then
				warning.timer[i] = warning.timer[i] - dt
				if warning.timer[i] <= 0 or i > 4 then
					table.remove(warning.timer, i)
					table.remove(warning.text, i)
				end
			end
		end
	end,
	draw = function()
		local scale = min(screen.h, screen.w)/512
		for i = 1,#warning.text do
			lg.setColor(1,1,1,min(warning.timer[i], 1))
			lg.print(warning.text[i], 24*scale, 24*i*scale, 0, scale/2)
		end
		lg.setColor(1,1,1)
	end,
	text = {},
	timer = {}
}