local folder = "games/minobueno/pieces/city/"
local tex = lg.newImage(folder .. "tex.png")
local tex_ghost = lg.newImage(folder .. "ghost.png")
return {
	board = function(board, block)
		for x = 0,style.board.w - 1 do for y = -4,style.board.h - 1 do
			local tile = board[x][y]
			if tile ~= -1 then
				lg.draw(tex, block.quad[tile], x*block.size, y*block.size)
			end
		end end
	end,
	pieces = function(vars, state)
		local held = vars.held
		local block = vars.block

		if settings.conf.ghost then
			drawpiece(held.x, held.y + vars.ghost, held.r, held.mino, block, tex_ghost)
		end
		smooth(vars.smoothfall, vars.smoothslide, block.size)
		-- fancy spin rotation
		lg.push()
		if settings.conf.spinny and spinny.timer ~= 0 then
			spinny.transform(held.mino, held.x, held.y, block.size, held.r, rot_system[settings.conf.rot_system][held.mino+1])
		end
		-- draw normal piece
		drawpiece(held.x, held.y, held.r, held.mino, block, tex)
		lg.pop()
	end
}