if not settings.stylesettings.tengen then settings.stylesettings.tengen = {} end

local items = {}
items = {
	{
		text = "Ugly Mode",
		init = function(self)
			self.selected = getindex(self.options, settings.stylesettings.tengen.bg)
			self.selected = self.selected or 1
		end,
		onchange = function(self)
			settings.stylesettings.tengen.bg = self.options[self.selected]
			redraw.game = true
		end,
		selected = 1,
		options = {false, true},
		options_text = {"Disabled", "Enabled"},
		help = "Also known as 'VS Tetris,' Atari's arcade version based on NES hardware. You should also enable the piece graphics to match.",
	},
}
return items