local fancyscroll = 0
tex = lg.newImage("/menu/bg/minos/tex.png")
return {
init = function()
	fancyscroll = 0
end,
update = function(dt)
	fancyscroll = (fancyscroll + dt*32)%(448/sqrt2)
end,
draw = function()
	lg.setColor(1,1,1,0.5)
	local s = 448/sqrt2
	local scale = min(screen.w/512, screen.h/512)
	local w, h = screen.w/scale, screen.h/scale
	lg.push()
	lg.scale(scale)
	for x = -s, w+s*2, s*2 do
		for y = -s, h, s*2 do
			lg.draw(
				tex,
				x+fancyscroll,
				y+fancyscroll,
				pi/4
			)
		end
		for y = -s, h+s, s*2 do
			lg.draw(
				tex,
				x+fancyscroll-s,
				y+fancyscroll-s,
				pi/4
			)
		end
	end
	lg.setColor(1,1,1)
	lg.pop()
end,

}